libebook::EBOOKCharsetConverter Class Reference documentation

Public Member Functions | Private Types | Private Member Functions | Private Attributes | List of all members
libebook::EBOOKCharsetConverter Class Reference

`#include <EBOOKCharsetConverter.h>`

## Public Member Functions
| EBOOKCharsetConverter (const char *encoding=nullptr)
| ~EBOOKCharsetConverter ()
bool | guessEncoding (const char *in, unsigned length)
bool | convertBytes (const char *in, unsigned length, std::vector< char > &out)

## Private Types
using | UConverterPtr_t = std::unique_ptr<UConverter, void (*)(UConverter *)>

## Private Member Functions
| EBOOKCharsetConverter (const EBOOKCharsetConverter &other)
EBOOKCharsetConverter & | operator= (const EBOOKCharsetConverter &other)

## Private Attributes
UConverterPtr_t | m_converterToUnicode
UConverterPtr_t | m_converterToUTF8

## Member Typedef Documentation

## ◆ UConverterPtr_t

using libebook::EBOOKCharsetConverter::UConverterPtr_t = std::unique_ptr<UConverter, void (*)(UConverter *)>
| private

## Constructor & Destructor Documentation

## ◆ EBOOKCharsetConverter() [1/2]

libebook::EBOOKCharsetConverter::EBOOKCharsetConverter | ( | const EBOOKCharsetConverter & | other | ) |
| private

Referenced by EBOOKCharsetConverter(), and operator=().

## ◆ EBOOKCharsetConverter() [2/2]

libebook::EBOOKCharsetConverter::EBOOKCharsetConverter | ( | const char * | encoding = nullptr | ) |
| explicit

## ◆ ~EBOOKCharsetConverter()

libebook::EBOOKCharsetConverter::~EBOOKCharsetConverter | ( |  | ) |

## Member Function Documentation

## ◆ convertBytes()

bool libebook::EBOOKCharsetConverter::convertBytes | ( | const char * | in,
|  | unsigned | length,
|  | std::vector< char > & | out )

Referenced by libebook::EBOOKUTF8Stream::EBOOKUTF8Stream().

## ◆ guessEncoding()

bool libebook::EBOOKCharsetConverter::guessEncoding | ( | const char * | in,
|  | unsigned | length )

Referenced by libebook::EBOOKUTF8Stream::EBOOKUTF8Stream(), and libebook::TCRParser::uncompress().

## ◆ operator=()

EBOOKCharsetConverter & libebook::EBOOKCharsetConverter::operator= | ( | const EBOOKCharsetConverter & | other | ) |
| private

## Member Data Documentation

## ◆ m_converterToUnicode

UConverterPtr_t libebook::EBOOKCharsetConverter::m_converterToUnicode
| private

Referenced by convertBytes(), EBOOKCharsetConverter(), and guessEncoding().

## ◆ m_converterToUTF8

UConverterPtr_t libebook::EBOOKCharsetConverter::m_converterToUTF8
| private

Referenced by convertBytes(), and EBOOKCharsetConverter().

The documentation for this class was generated from the following files:

- EBOOKCharsetConverter.h
- EBOOKCharsetConverter.cpp